### File

`packages/eui-dynamic-forms-ui/src/lib/components/container-field/button/button.component.inputs.ts`

### Index

###### Properties

- Readonly Optional block
- Readonly Optional disabled
- Readonly eventType
- Readonly Optional flat
- Readonly label
- Readonly Optional large
- Readonly Optional outline
- Readonly Optional secondary
- Readonly Optional small
- Readonly typeClass

### Properties

Readonly Optional block
Type : `boolean`

Readonly Optional disabled
Type : `boolean`

Readonly eventType
Type : `ButtonEventTypes`

Readonly Optional flat
Type : `boolean`

Readonly label
Type : `string`

Readonly Optional large
Type : `boolean`

Readonly Optional outline
Type : `boolean`

Readonly Optional secondary
Type : `boolean`

Readonly Optional small
Type : `boolean`

Readonly typeClass
Type : `"info" | "success" | "warning" | "danger"`

# result-matching ""

# No results matching ""